/*
   Program Ŀ
    Application: demo                                                       
               :                                                            
    Description:                                                            
               :                                                            
      File Name: RASTER.PRG                                                 
               :                                                            
         Author: Kevin Loucks                                               
       Designer: Kevin Loucks                                               
         Tester:                                                            
   Date created: 02-27-96              Date updated: 02-27-96              
   Time created: 09:58:04pm            Time updated: 09:58:04pm            
      Make File:                                                            
      Exec File:                       Docs By: Kevin Loucks                
      Copyright: (c) 1996 by Capitol City Software, Inc. All Rights Reserved.
  
*/


   #include "SET.CH"

   #include "FILEIO.CH"

   #include "ljprtIV.CH"




/*
   Function Ŀ
           Name: RastTest()                                                 
               :                                                            
    Description:                                                            
               :                                                            
               :                                                            
  Ĵ
   Date created: 02-27-96              Date updated: 02-27-96              
   Time created: 09:39:37pm            Time updated: 09:39:37pm            
      Copyright: (c) 1996 by Capitol City Software, Inc. All Rights Reserved.
  Ĵ
      Arguments: None                                                       
   Return Value: NIL                                                        
  
*/
function RastTest()

   local cS     := ""
   local nI     := 0
   local nII    := 0
   local nIII   := 0
   local nbytes := 0

   local aRast := { ;
         {   0 ,   0 ,  0 , 128 ,   0 } , ;
         {   0 ,   0 ,  0 , 192 ,   0 } , ;
         {   0 ,   0 ,  0 , 224 ,   0 } , ;
         {   0 ,   0 ,  0 , 240 ,   0 } , ;
         {   0 ,   0 ,  0 , 248 ,   0 } , ;
         {   0 ,   0 ,  0 , 252 ,   0 } , ;
         {   0 ,   0 ,  0 , 254 ,   0 } , ;
         {   0 ,   0 ,  0 , 255 ,   0 } , ;
         {   0 ,   0 ,  0 , 255 , 128 } , ;
         { 255 , 255 ,255 , 255 , 192 } , ;
         { 255 , 255 ,255 , 255 , 224 } , ;
         { 255 , 255 ,255 , 255 , 240 } , ;
         { 255 , 255 ,255 , 255 , 248 } , ;
         { 255 , 255 ,255 , 255 , 252 } , ;
         { 255 , 255 ,255 , 255 , 254 } , ;
         { 255 , 255 ,255 , 255 , 255 } , ;
         { 255 , 255 ,255 , 255 , 255 } , ;
         { 255 , 255 ,255 , 255 , 254 } , ;
         { 255 , 255 ,255 , 255 , 252 } , ;
         { 255 , 255 ,255 , 255 , 248 } , ;
         { 255 , 255 ,255 , 255 , 240 } , ;
         { 255 , 255 ,255 , 255 , 224 } , ;
         { 255 , 255 ,255 , 255 , 192 } , ;
         {   0 ,   0 ,  0 , 255 , 128 } , ;
         {   0 ,   0 ,  0 , 255 ,   0 } , ;
         {   0 ,   0 ,  0 , 254 ,   0 } , ;
         {   0 ,   0 ,  0 , 252 ,   0 } , ;
         {   0 ,   0 ,  0 , 248 ,   0 } , ;
         {   0 ,   0 ,  0 , 240 ,   0 } , ;
         {   0 ,   0 ,  0 , 224 ,   0 } , ;
         {   0 ,   0 ,  0 , 192 ,   0 } , ;
         {   0 ,   0 ,  0 , 128 ,   0 }   ;
         }


   @ 0,0 clear

   for nI = 1 to 4
      do case
      case nI == 1
         LJ_Send_NC( ESC + "*p300x400Y" )
         LJ_RastSet( GRAPHICS_RESOLUTION , DPI_300 )

      case nI == 2
         LJ_Send_NC( ESC + "*p400x375Y" )
         LJ_RastSet( GRAPHICS_RESOLUTION , DPI_150 )

      case nI == 3
         LJ_Send_NC( ESC + "*p500x350Y" )
         LJ_RastSet( GRAPHICS_RESOLUTION , DPI_100 )

      case nI == 4
         LJ_Send_NC( ESC + "*p700x300Y" )
         LJ_RastSet( GRAPHICS_RESOLUTION , DPI_75 )
      endcase

      LJ_RastSet( START_RASTER_GRAPHICS , LEFT_MARGIN_X_CURRENT )
      LJ_RastSet( PRESENTATION_MODE, LOGICAL_PAGE_MODE  )

      LJ_RasTran( aRast )

      LJ_RastSet( END_RASTER_GRAPHICS   )

   next nI

// lj_send_nc( ESC + "E" )


return nil
